@tool
extends Node3D

@export var sphere : NodePath
@export var cube : NodePath
@export var material : ShaderMaterial

func _process(delta):
	material.set_shader_parameter("sphere_pos", -(get_node(sphere) as Node3D).position)
	material.set_shader_parameter("cube_pos", -(get_node(cube) as Node3D).position)
	
	material.set_shader_parameter("plane_dir", (get_node(cube) as Node3D).rotation)
